Subject: bug#46986: 28.0.50; project.el: project-switch-project: dispatch menu bindings missing

From: Dmitry Gutov <[email-masked]>
Date: Mon, 8 Mar 2021 23:30:33 +0200

On 08.03.2021 22:58, Terje Larsen wrote:
> The value of project-switch-commands:
> 
> ((project-find-file "Find file")
>   (project-find-regexp "Find regexp")
>   (project-dired "Dired")
>   (project-vc-dir "VC-Dir")
>   (project-eshell "Eshell"))
> 
> The value of project-switch-project on step 3 is only "... (choose
> directory)" as I run this in an isolated environment without any
> previous projects loaded/added (e.g. no project-list-file).
> 
> See attached screenshot of what step 6 looks like.
> 
> I think this is a regression in Emacs, I just tested to load the newer
> project.el in an older version:
> GNU Emacs 27.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.24,
> cairo version 1.16.0)

Thank you. Still can't reproduce, but maybe it gives an idea to someone 
else, about what could be going wrong.

The characters are generated using this code:

   (where-is-internal cmd project-prefix-map t)

In particular, you can try evaluating this:

   (where-is-internal 'project-find-file project-prefix-map t)

It returns [102] over here. What value do you get?

> And then both the display is correct and the bindings work. However in
> the version which I reported the bug for it still does not work.
> 
> So to clarify the issue seems to be with:
> In GNU Emacs 28.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version
> 3.24.24, cairo version 1.16.0)
> Repository revision: f476e282d2420132aff38ba142feffbac011a321

This is almost my version to a t, except my GTK+ is 3.24.20. Most likely 
unrelated to the problem.

I've updated to a later revision 
(612095220d158a7e8d1d1fb74b264b375ceee508) and don't see the problem. On 
the off chance that it was a one-time bug, perhaps try updating too.